Bug 119438 - www/mod_perl2: Incorrect pkg-message
Summary: www/mod_perl2: Incorrect pkg-message
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-07 23:20 UTC by Terry Sposato
Modified: 2008-01-18 14:10 UTC (History)
0 users

See Also:


Attachments
pkg-message.diff (288 bytes, patch)
2008-01-07 23:20 UTC, Terry Sposato
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Terry Sposato 2008-01-07 23:20:01 UTC

    
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2008-01-07 23:58:15 UTC
State Changed
From-To: open->feedback

To which port does this apply? 


Comment 2 Mark Linimon freebsd_committer freebsd_triage 2008-01-07 23:58:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->linimon
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2008-01-08 00:35:28 UTC
State Changed
From-To: feedback->open
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2008-01-08 00:35:28 UTC
Responsible Changed
From-To: linimon->freebsd-ports-bugs
Comment 5 Wesley Shields freebsd_committer 2008-01-08 00:40:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 6 Wesley Shields freebsd_committer 2008-01-08 00:44:57 UTC
Dear maintainer,

Do you approve of the change in PR 119438?

http://www.freebsd.org/cgi/query-pr.cgi?pr=119438

-- WXS
Comment 7 Edwin Groothuis freebsd_committer 2008-01-08 06:58:56 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 8 philip 2008-01-11 00:53:32 UTC
No, this needs to be conditional based on which apache port is in use.

apache2 and apache22 are both correct, but depends on APACHE_PORT which 
defaults to www/apache20

Now supposedly, you should be running 2.2.6 as its the lastest and 
greatest, so it might make sense to change it as 2.0.x will die in 
another 5-10 years (lol).



-- 
------------------------------------------------------------------------
Philip M. Gollucci (philip@ridecharge.com)
o:703.549.2050x206
Senior System Admin - Riderway, Inc.
http://riderway.com / http://ridecharge.com
1024D/EC88A0BF 0DE5 C55C 6BF3 B235 2DAB  B89E 1324 9B4F EC88 A0BF

Work like you don't need the money,
love like you'll never get hurt,
and dance like nobody's watching.
Comment 9 Wesley Shields freebsd_committer 2008-01-11 02:44:41 UTC
On Fri, Jan 11, 2008 at 01:00:04AM +0000, Philip M. Gollucci wrote:
> The following reply was made to PR ports/119438; it has been noted by GNATS.
> 
> From: "Philip M. Gollucci" <philip@ridecharge.com>
> To: bug-followup@FreeBSD.org,  terry@sucked-in.com
> Cc:  
> Subject: Re: ports/119438: www/mod_perl2: Incorrect pkg-message
> Date: Thu, 10 Jan 2008 19:53:32 -0500
> 
>  No, this needs to be conditional based on which apache port is in use.
>  
>  apache2 and apache22 are both correct, but depends on APACHE_PORT which 
>  defaults to www/apache20
>  
>  Now supposedly, you should be running 2.2.6 as its the lastest and 
>  greatest, so it might make sense to change it as 2.0.x will die in 
>  another 5-10 years (lol).

Does it make sense to change it to use APACHEMODDIR and SUB_LIST?  It
would be nice if pkg-message gave the correct path across all supported
versions of Apache.

-- WXS
Comment 10 philip 2008-01-11 02:51:55 UTC
Wesley Shields wrote:
> On Fri, Jan 11, 2008 at 01:00:04AM +0000, Philip M. Gollucci wrote:
>> The following reply was made to PR ports/119438; it has been noted by GNATS.
>>
>> From: "Philip M. Gollucci" <philip@ridecharge.com>
>> To: bug-followup@FreeBSD.org,  terry@sucked-in.com
>> Cc:
>> Subject: Re: ports/119438: www/mod_perl2: Incorrect pkg-message
>> Date: Thu, 10 Jan 2008 19:53:32 -0500
>>
>>  No, this needs to be conditional based on which apache port is in use.
>>
>>  apache2 and apache22 are both correct, but depends on APACHE_PORT which
>>  defaults to www/apache20
>>
>>  Now supposedly, you should be running 2.2.6 as its the lastest and
>>  greatest, so it might make sense to change it as 2.0.x will die in
>>  another 5-10 years (lol).
> 
> Does it make sense to change it to use APACHEMODDIR and SUB_LIST?  It
> would be nice if pkg-message gave the correct path across all supported
> versions of Apache.
> 
> -- WXS
Well it does -- but I didn't want to out right recommend it because I'm 
looking at doing:

   http://www.freebsd.org/projects/ideas/#p-ports-collect-messages

I've talked to portmgr@ about it, but haven't arrived at a decision yet, 
or had time to do it.

I guess more port in the meantime won't hurt any, so feel free to do that.


-- 
------------------------------------------------------------------------
Philip M. Gollucci (philip@ridecharge.com)
o:703.549.2050x206
Senior System Admin - Riderway, Inc.
http://riderway.com / http://ridecharge.com
1024D/EC88A0BF 0DE5 C55C 6BF3 B235 2DAB  B89E 1324 9B4F EC88 A0BF

Work like you don't need the money,
love like you'll never get hurt,
and dance like nobody's watching.
Comment 11 Wesley Shields freebsd_committer 2008-01-11 04:12:29 UTC
On Fri, Jan 11, 2008 at 03:00:03AM +0000, Philip M. Gollucci wrote:
> The following reply was made to PR ports/119438; it has been noted by GNATS.
> 
> From: "Philip M. Gollucci" <philip@ridecharge.com>
> To: Wesley Shields <wxs@FreeBSD.org>
> Cc: "bug-followup@FreeBSD.org" <bug-followup@FreeBSD.org>
> Subject: Re: ports/119438: www/mod_perl2: Incorrect pkg-message
> Date: Thu, 10 Jan 2008 21:51:55 -0500
> 
>  Wesley Shields wrote:
>  > On Fri, Jan 11, 2008 at 01:00:04AM +0000, Philip M. Gollucci wrote:
>  >> The following reply was made to PR ports/119438; it has been noted by GNATS.
>  >>
>  >> From: "Philip M. Gollucci" <philip@ridecharge.com>
>  >> To: bug-followup@FreeBSD.org,  terry@sucked-in.com
>  >> Cc:
>  >> Subject: Re: ports/119438: www/mod_perl2: Incorrect pkg-message
>  >> Date: Thu, 10 Jan 2008 19:53:32 -0500
>  >>
>  >>  No, this needs to be conditional based on which apache port is in use.
>  >>
>  >>  apache2 and apache22 are both correct, but depends on APACHE_PORT which
>  >>  defaults to www/apache20
>  >>
>  >>  Now supposedly, you should be running 2.2.6 as its the lastest and
>  >>  greatest, so it might make sense to change it as 2.0.x will die in
>  >>  another 5-10 years (lol).
>  > 
>  > Does it make sense to change it to use APACHEMODDIR and SUB_LIST?  It
>  > would be nice if pkg-message gave the correct path across all supported
>  > versions of Apache.
>  > 
>  > -- WXS
>  Well it does -- but I didn't want to out right recommend it because I'm 
>  looking at doing:
>  
>     http://www.freebsd.org/projects/ideas/#p-ports-collect-messages
>  
>  I've talked to portmgr@ about it, but haven't arrived at a decision yet, 
>  or had time to do it.
>  
>  I guess more port in the meantime won't hurt any, so feel free to do that.

What do you feel about this patch?  I tested it in a tinderbox, then
changed USE_APACHE to 2.2+ and rebuilt and it worked as expected
(picking up the appropriate APACHEMODDIR).  If you approve I will ask my
mentor for approval and get it committed.

-- WXS

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/www/mod_perl2/Makefile,v
retrieving revision 1.58
diff -u -r1.58 Makefile
--- Makefile	10 Sep 2007 00:45:02 -0000	1.58
+++ Makefile	11 Jan 2008 04:09:38 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	mod_perl
 PORTVERSION=	2.0.3
-PORTREVISION=	2
+PORTREVISION=	3
 PORTEPOCH=	3
 CATEGORIES=	www perl5
 MASTER_SITES=	http://perl.apache.org/dist/ \
@@ -20,6 +20,8 @@
 BUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/BSD/Resource.pm:${PORTSDIR}/devel/p5-BSD-Resource
 RUN_DEPENDS=	${BUILD_DEPENDS}
 
+SUB_FILES=	pkg-message
+SUB_LIST=	APACHEMODDIR=${APACHEMODDIR}
 USE_APACHE=	2.0+
 PERL_CONFIGURE=	5.8.0+
 GMAKE=		yes
Index: pkg-message
===================================================================
RCS file: pkg-message
diff -N pkg-message
--- pkg-message	4 Nov 2006 00:33:34 -0000	1.7
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,17 +0,0 @@
-#########################################################
-
-Simple config:
-
-  LoadModule perl_module libexec/apache2/mod_perl.so
-  #PerlModule Apache::compat
-  # your config comes here
-
-For a more detailed version (including more options) refer to:
-
-  docs/user/intro/start_fast.pod
-
-or online:
-
-  http://perl.apache.org/docs/2.0/user/intro/start_fast.html
-
-#########################################################
Index: files/pkg-message.in
===================================================================
RCS file: files/pkg-message.in
diff -N files/pkg-message.in
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/pkg-message.in	11 Jan 2008 04:09:38 -0000
@@ -0,0 +1,17 @@
+#########################################################
+
+Simple config:
+
+  LoadModule perl_module %%APACHEMODDIR%%/mod_perl.so
+  #PerlModule Apache::compat
+  # your config comes here
+
+For a more detailed version (including more options) refer to:
+
+  docs/user/intro/start_fast.pod
+
+or online:
+
+  http://perl.apache.org/docs/2.0/user/intro/start_fast.html
+
+#########################################################
Comment 12 philip 2008-01-11 04:28:53 UTC
Wesley Shields wrote:
> -PORTREVISION=  2
> +PORTREVISION=  3
I don't think you should bump this for this particular change.

http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-naming.html#AEN479
   Examples of changes which do not require a PORTREVISION bump:

-- 
------------------------------------------------------------------------
Philip M. Gollucci (philip@ridecharge.com)
o:703.549.2050x206
Senior System Admin - Riderway, Inc.
http://riderway.com / http://ridecharge.com
1024D/EC88A0BF 0DE5 C55C 6BF3 B235 2DAB  B89E 1324 9B4F EC88 A0BF

Work like you don't need the money,
love like you'll never get hurt,
and dance like nobody's watching.
Comment 13 Wesley Shields 2008-01-11 10:26:25 UTC
On Thu, Jan 10, 2008 at 11:28:53PM -0500, Philip M. Gollucci wrote:
> Wesley Shields wrote:
>> -PORTREVISION=  2
>> +PORTREVISION=  3
> I don't think you should bump this for this particular change.
> 
> http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-naming.html#AEN479
>   Examples of changes which do not require a PORTREVISION bump:

I'd argue that a mistake in pkg-message should warrant a bump, as it's
fixing instructions the user must do after install (at least in this
case).

-- WXS
Comment 14 pgollucci 2008-01-11 10:33:53 UTC
Wesley Shields wrote:
> On Thu, Jan 10, 2008 at 11:28:53PM -0500, Philip M. Gollucci wrote:
>> Wesley Shields wrote:
>>> -PORTREVISION=  2
>>> +PORTREVISION=  3
>> I don't think you should bump this for this particular change.
>>
>> http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-naming.html#AEN479
>>   Examples of changes which do not require a PORTREVISION bump:
> 
> I'd argue that a mistake in pkg-message should warrant a bump, as it's
> fixing instructions the user must do after install (at least in this
> case).
But if its already installed and working which I think is the majority, 
they have no need to re-install it.  Anyway, I'll leave this bit up to 
you then about PORTVERSION what you feel is best.



-- 
------------------------------------------------------------------------
Philip M. Gollucci (pgollucci@p6m7g8.com)
c:703.336.9354
Consultant / http://p6m7g8.net/Resume/resume.txt
http://riderway.com / http://ridecharge.com
1024D/EC88A0BF 0DE5 C55C 6BF3 B235 2DAB  B89E 1324 9B4F EC88 A0BF

Work like you don't need the money,
love like you'll never get hurt,
and dance like nobody's watching.
Comment 15 Wesley Shields freebsd_committer 2008-01-11 11:33:19 UTC
On Fri, Jan 11, 2008 at 05:33:53AM -0500, Philip M. Gollucci wrote:
> Wesley Shields wrote:
>> On Thu, Jan 10, 2008 at 11:28:53PM -0500, Philip M. Gollucci wrote:
>>> Wesley Shields wrote:
>>>> -PORTREVISION=  2
>>>> +PORTREVISION=  3
>>> I don't think you should bump this for this particular change.
>>> 
>>> http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-naming.html#AEN479
>>>   Examples of changes which do not require a PORTREVISION bump:
>> 
>> I'd argue that a mistake in pkg-message should warrant a bump, as it's
>> fixing instructions the user must do after install (at least in this
>> case).
> But if its already installed and working which I think is the majority, 
> they have no need to re-install it.  Anyway, I'll leave this bit up to you 
> then about PORTVERSION what you feel is best.

I thought about it a little more and I think it is not necessary since
the output will be the same under default conditions (ie: the
pkg-message contents will not change in the package built by the
cluster).  I'll submit the update to my mentor without changes to
PORTREVISION and see what he has to say.

-- WXS
Comment 16 dfilter service freebsd_committer 2008-01-18 14:07:06 UTC
wxs         2008-01-18 14:07:01 UTC

  FreeBSD ports repository

  Modified files:
    www/mod_perl2        Makefile 
  Added files:
    www/mod_perl2/files  pkg-message.in 
  Removed files:
    www/mod_perl2        pkg-message 
  Log:
  Fix an oversight in pkg-message.  Use APACHEMODDIR instead of a
  hard-coded path.  No PORTREVISION bump necessary as the default package
  will remain the same.
  
  PR:             119438
  Submitted by:   Terry Sposato <terry@sucked-in.com>
  Approved by:    Philip M. Gollucci (maintainer), garga (mentor)
  
  Revision  Changes    Path
  1.59      +2 -0      ports/www/mod_perl2/Makefile
  1.1       +17 -0     ports/www/mod_perl2/files/pkg-message.in (new)
  1.8       +0 -17     ports/www/mod_perl2/pkg-message (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 17 Wesley Shields freebsd_committer 2008-01-18 14:07:55 UTC
State Changed
From-To: feedback->closed

Committed, thanks.